# XSLTProcessor::getSecurityPrefs

(PHP >= 5.4.0)

XSLTProcessor::getSecurityPrefs — Get security preferences

### Description

public XSLTProcessor::getSecurityPrefs ( void ) : int

Gets the security preferences.

### Parameters

This function has no parameters.

### Return Values

A bitmask consisting of `XSL_SECPREF_READ_FILE`, `XSL_SECPREF_WRITE_FILE`, `XSL_SECPREF_CREATE_DIRECTORY`, `XSL_SECPREF_READ_NETWORK`, `XSL_SECPREF_WRITE_NETWORK`.